To prevent the reverse engineering of script apps, a number of developers encrypt their code with tools such as ionCube PHP Encoder in order to make it human unreadable. The aforementioned is valid for paid applications in particular, because anyone could possibly use and modify the unencrypted code without having to pay the needed license fees. When you purchase web software encoded with ionCube PHP Encoder, you will be able to use it without a problem as long as a software instrument named ionCube Loader is a part of the hosting server. This loader makes it possible to execute encrypted files and you will often notice it among the prerequisites for a certain script application to be set up. Due to the fact that the encoded files are already precompiled, they're generally executed more quickly and this can boost the general speed of your website.
IonCube in Cloud Web Hosting
IonCube Loader comes with all cloud web hosting packages which we offer, so every time you need it to set up and run some script application that needs it, you can activate it with a single click from the Advanced area of the Hepsia Control Panel. As you're able to change the PHP version that is active for your account in the same section, you'll need to enable the tool for any new version that you set. If you're more skillful, you're able to employ a php.ini file in a domain or subdomain folder and set both the PHP version as well as the status of ionCube Loader for that particular website only, without affecting the whole account. Thus you can run both new and older script apps for multiple websites inside the same account - something that you can't do with many other web hosting suppliers on the market.
IonCube in Semi-dedicated Servers
As all semi-dedicated server accounts are set up on our advanced cluster platform and ionCube Loader is available on it, you'll be able to use any script application which requires the tool to work properly. With a couple of clicks in your Hepsia hosting Control Panel you're able to activate or deactivate ionCube for the PHP version that is currently active for your account. Since we support multiple releases of PHP at the same time, you will need to do this each and every time you move to a new release, and when you revert back to a release that you have already used, our system will remember your choice and ionCube Loader will already be active. In case you have a couple of sites inside the same account and they require different versions of PHP, you are able to create a php.ini file in each domain folder and with a couple of lines of code you can define both the PHP version as well as the status of ionCube regardless of what is selected for the hosting account altogether.